/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2023 Sony Corporation. All rights reserved.
 */
#ifndef IFRTP_I2C_H_
#define IFRTP_I2C_H_

#include <linux/types.h>

// i2C Peripherals
#define PCA9555_BUS 1
#define PCA9555_ADR 0x21
#define SFP0_DA1_ADR 0x06
#define SFP0_DA2_ADR 0x02
#define SFP1_DA1_ADR 0x07
#define SFP1_DA2_ADR 0x03

#define EEPROM1_NVMEM_NAME  "7-00579"
#define EEPROM1_MACADDR_IGW  0x30
#define EEPROM1_MACADDR_SIZE 0x10

#define I2C_PAGE_SIZE 32

int ifrtp_i2c_init_pca9555(void);
void ifrtp_i2c_release_pca9555(void);
s32 ifrtp_i2c_module_read(int module_id);
int ifrtp_i2c_read_mac_addr(int id, unsigned char *dev_addr);

#endif
