/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2023 Sony Corporation. All rights reserved.
 */
#ifndef IFRTP_LOGGING_H_
#define IFRTP_LOGGING_H_

#include <linux/printk.h>

#ifdef pr_fmt
#undef pr_fmt
#endif

#define pr_fmt(fmt)           KBUILD_MODNAME ": " fmt

#define IFRTP_LOG_ERR(format, args...)     pr_err(format, ## args)
#define IFRTP_LOG_WARN(format, args...)    pr_warn(format, ## args)
#define IFRTP_LOG_INFO(format, args...)    pr_info(format, ## args)
#define IFRTP_LOG_TRACE(format, args...)   pr_debug(format, ## args)

#define IFRTP_LOG_ERR_RATELIMITED(format, args...)    pr_err_ratelimited(format, ## args)
#define IFRTP_LOG_WARN_RATELIMITED(format, args...)   pr_warn_ratelimited(format, ## args)
#define IFRTP_LOG_INFO_RATELIMITED(format, args...)   pr_info_ratelimited(format, ## args)
#define IFRTP_LOG_TRACE_RATELIMITED(format, args...)  pr_debug_ratelimited(format, ## args)

#endif //IFRTP_LOGGING_H_
