/* SPDX-License-Identifier: GPL-2.0 */
/*
 * Copyright (c) 2023 Sony Corporation. All rights reserved.
 */
#ifndef IFRTP_MDIO_H_
#define IFRTP_MDIO_H_

#include "io.h"

#define MDIO_OP_CL22_WRITE      0x50000000
#define MDIO_OP_CL22_READ       0x60000000
#define MDIO_OP_RDY                    0x2
#define MDIO_OP_GO                     0x1
#define MDIO_REG_ADDR_SB                 2
#define MDIO_PHY_ADDR_SB                 7
#define MDIO_PHY_ADDR_BASE               4
#define MDIO_CL22_DATA_SB               12
#define MDIO_CL22_DATA_MASK     0x0FFFF000

int __mdio_write16(uint8_t addr, uint16_t data, int area_no);
int __mdio_read16(uint8_t addr, uint16_t *data, int area_no);

bool ifrtp_mdio_sfp_is_linked_up(int interface);
int ifrtp_mdio_link_reset(int interface, int timeout_ms, int retry);
void ifrtp_mdio_link_power_down(int interface);

#endif  // IFRTP_MDIO_H_
